Just days after the iPod mini was launched in the US Apple has posted iPod mini Software 1.0, a utility for Updating and Restoring software on the iPod mini.

Apple emphasises that the software is not compatible with other iPod models.

The software is currently Mac-only, and Apple states that a Mac with built-in FireWire is an installation requirement. The software also requires Mac OS X 10.1.5 or later (some features require 10.2.8) and iTunes 4 (some features require iTunes 4.2).

Apple warns: "Some versions of iTunes may mistakenly offer to update your other iPod with iPod mini software. If this happens, refuse the update and upgrade your iTunes to the latest version."